# Metoda pro získání minimálních a maximálních hodnot u služeb

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /codelist/servicePriceLimit:
    get:
      summary: Metoda pro získání minimálních a maximálních hodnot u služeb
      deprecated: false
      description: >-
        ## Význam a použití

        Tento konkrétní endpoint navrací seznam cenových limitů pro jednotlivé
        služby, které lze využívat v rámci CPL API. Využití najde především v:


        - **Získání seznamu „limitů“ (cenových / hmotnostních / pojišťovacích)
        pro konkrétní služby**

        PPL zpravidla poskytuje různé druhy přepravních služeb (např.
        vnitrostátní balíkovou přepravu, mezinárodní, dobírku, pojištěné zásilky
        apod.). Každá z těchto služeb může mít jistá omezení, např. maximální
        částku dobírky nebo maximální hodnotu pojištění.


        - **Konfigurace ve vaší aplikaci**

        Díky tomuto codelistu může vaše aplikace správně nastavit limity pro
        nabízené služby. Pokud je například z API zjištěno, že pro službu COD
        (dobírka) je maximální částka 50 000 Kč, můžete uživateli zabránit zadat
        vyšší dobírku než je tato hodnota.


        - **Aktualizace**

        V případě, že se tyto limity v PPL změní (např. navýšení maximální
        dobírky), integrátor nemusí ručně udržovat tuto informaci. Aplikace si
        limit automaticky aktualizuje z endpointu.
      tags:
        - API Metody/Codelist
        - Codelist
      parameters:
        - name: Service
          in: query
          description: kód služby viz GET codelist/service
          required: false
          schema:
            type: string
        - name: Currency
          in: query
          description: kód měny viz GET codelist/currency
          required: false
          schema:
            type: string
        - name: Country
          in: query
          description: kód země viz GET codelist/country
          required: false
          schema:
            type: string
        - name: Product
          in: query
          description: kód typu produktu viz GET codelist/product
          required: false
          schema:
            type: string
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JKB0FZYC15FXYSXHQKZ4GZF3:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Web.Models.Codelist.ServicePriceLimitModel
                      x-apidog-overrides:
                        service: &ref_0
                          type: string
                          description: kód služby viz GET codelist/service
                          nullable: true
                        currency: &ref_1
                          type: string
                          description: kód měny viz GET codelist/currency
                          nullable: true
                        country: &ref_2
                          type: string
                          description: kód země viz GET codelist/country
                          nullable: true
                        product: &ref_3
                          type: string
                          description: kód typu produktu viz GET codelist/product
                          nullable: true
                        minPrice: &ref_4
                          type: number
                          description: minimální povolená cena
                          format: double
                        maxPrice: &ref_5
                          type: number
                          description: maximální povolená cena
                          format: double
                      required: []
                  x-apidog-orders:
                    - 01JKB0FZYC15FXYSXHQKZ4GZF3
                  properties:
                    service: *ref_0
                    currency: *ref_1
                    country: *ref_2
                    product: *ref_3
                    minPrice: *ref_4
                    maxPrice: *ref_5
                  x-apidog-ignore-properties:
                    - service
                    - currency
                    - country
                    - product
                    - minPrice
                    - maxPrice
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/Codelist
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465895-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.Codelist.ServicePriceLimitModel:
      type: object
      properties:
        service:
          type: string
          description: Service code
          nullable: true
        currency:
          type: string
          description: Currency code
          nullable: true
        country:
          type: string
          description: Country code
          nullable: true
        product:
          type: string
          description: Product code
          nullable: true
        minPrice:
          type: number
          description: MinPrice
          format: double
        maxPrice:
          type: number
          description: MaxPrice
          format: double
      additionalProperties: false
      description: ServicePriceLimitModel
      x-apidog-orders:
        - service
        - currency
        - country
        - product
        - minPrice
        - maxPrice
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
